<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAssignAllowancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('assign_allowances', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('scale_id')->nullable();
            $table->unsignedInteger('designation_id')->nullable();
            $table->unsignedInteger('allowance_id')->nullable();
            $table->string('type')->nullable();
            $table->enum('is_recycle', ['0','1','2'])->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('assign_allowances');
    }
}
